Skala
Stock adjustments

List adjustment numbers

Fetches the available stock adjustment reference numbers used in the system.

GET
/api/stock_adjustments/adjustment-number

Fetches the available stock adjustment reference numbers used in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

code?string
location.name?string
reason?string
adjustmentDate[before]?string
adjustmentDate[strictly_before]?string
adjustmentDate[after]?string
adjustmentDate[strictly_after]?string
order[id]?string
Default"desc"
Value in"asc" | "desc"

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_adjustments/adjustment-number"
[
  {
    "id": 0,
    "code": "string",
    "series": "string",
    "number": 0,
    "reason": "string",
    "adjustmentDate": "2019-08-24T14:15:22Z",
    "description": "string",
    "items": [
      {
        "id": 0,
        "stock": {
          "id": 0,
          "unit": {
            "id": 0,
            "name": "string"
          },
          "currency": {
            "id": 0,
            "code": "string"
          },
          "trackType": "string"
        },
        "stockVariant": {
          "name": "string"
        },
        "quantity": "string",
        "inStock": "string",
        "unitPrice": "string",
        "totalPrice": "string",
        "normalizedUnitPrice": "string",
        "normalizedTotalPrice": "string",
        "barcode": "string",
        "expirationDate": "2019-08-24T14:15:22Z",
        "currentAmount": 0,
        "batchNumber": "string"
      }
    ],
    "location": {
      "id": 0,
      "name": "string"
    }
  }
]